Bug 177793 - [maintainer update] multimedia/qmmp, multimedia/qmmp-plugin-pack
Summary: [maintainer update] multimedia/qmmp, multimedia/qmmp-plugin-pack
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-12 02:40 UTC by RyōTa SimaMoto
Modified: 2013-10-20 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (14.78 KB, patch)
2013-04-12 02:40 UTC, RyōTa SimaMoto
no flags Details | Diff
patch-qmmp.diff (14.45 KB, patch)
2013-04-26 02:52 UTC, RyōTa SimaMoto
no flags Details | Diff
patch-qmmp-070-to-071.diff (2.14 KB, patch)
2013-05-31 21:12 UTC, RyōTa SimaMoto
no flags Details | Diff
patch-qmmp.diff (11.14 KB, patch)
2013-09-30 21:50 UTC, SimaMoto,RyōTa
no flags Details | Diff
patch-qmmp (21.43 KB, application/octet-stream)
2013-10-09 11:02 UTC, SimaMoto,RyōTa
no flags Details
patch-ffmpeg-family-reformation-r330911.diff (2.28 KB, patch)
2013-10-19 20:49 UTC, SimaMoto,RyōTa
no flags Details | Diff
qmmp-singleffmpeg.diff (3.33 KB, patch)
2013-10-20 08:50 UTC, SimaMoto,RyōTa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description RyōTa SimaMoto 2013-04-12 02:40:00 UTC
Minor upgrade of qmmp and qmmp-plugin-pack to 0.7.0

Updated qmmp depends on the new port audio/opusfile
(ports/177370), so please add it before this upgrading PR.
If this PR would be applied, then close previous reports
(ports/175234) please.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-04-13 09:22:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 RyōTa SimaMoto 2013-04-26 02:51:10 UTC
This patch is regenerated to unmerge conversion of
USE_PKGCONFIG into USES=pkgconfig that already applied.
Ignore the previous one.
Comment 3 RyōTa SimaMoto 2013-04-26 02:52:40 UTC
This patch is regenerated to unmerge conversion of
USE_PKGCONFIG into USES=pkgconfig that already applied.
Ignore the previous one.
I am sorry for forgetting to attach patch file.
Comment 4 RyōTa SimaMoto 2013-05-31 21:12:16 UTC
Today qmmp and its additional plugin package has been updated.
This attached patch diff file is intended to change the
current versions to 0.7.1 from 0.7.0, so it should be applied
after upgrading these ports to the version 0.7.0 by the
previous patch at 2013/04/26.
Comment 5 Bryan Drewery freebsd_committer 2013-09-22 15:09:21 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 6 William Grzybowski freebsd_committer 2013-10-08 17:12:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 7 SimaMoto,RyōTa 2013-10-09 11:02:36 UTC
qmmp 0.7.3 and qmmp-plugin-pack 0.7.3 had been released.
I generate a patch to the current ports for upgrading to
the latest versions, please ignore the former attached
patch files.

It is very sad that my former Google account
<liangtai.s4@gmail.com> was banned for uncertain reason.

SimaMoto,RyoTa
https://github.com/liangtai/FreeBSD-ports
Comment 8 SimaMoto,RyōTa 2013-10-19 20:49:49 UTC
Follow reformation of ffmpeg family r330911

v2.0.x: multimedia/ffmpeg2
        --> multimedia/ffmpeg

v0.7.x: At any of multimedia/ffmpeg0 or multimedia/ffmpeg
        --> Only at multimedia/ffmpeg0
Comment 9 William Grzybowski 2013-10-19 23:03:00 UTC
Hi,

I am really sorry this has taken so long. Unfortunately it was on hold
due to ffmpeg change.
Would you mind regenerating the whole patch against current revision?
If thats ok, please do not take into account all ffmpeg version, just
link against multimedia/ffmpeg, all the other versions (ffmpeg0,
ffmpeg1 and ffmpeg-devel) and going to be removed soon.

Thanks and sorry for the trouble.

-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 10 SimaMoto,RyōTa 2013-10-20 08:50:26 UTC
Ok, I understood.  Thank you for committing my report.
It's happy day!  So do not mind about rejected reports.
The attached patch file upgrades the port version 0.7.3,
then explicitly disable USE_FFMPEG_LEGACY option for
older releases than v1.0.
Comment 11 dfilter service freebsd_committer 2013-10-20 12:58:00 UTC
Author: wg
Date: Sun Oct 20 11:57:52 2013
New Revision: 331008
URL: http://svnweb.freebsd.org/changeset/ports/331008

Log:
  multimedia/qmmp: update to 0.7.3
  
  - Update to 0.7.3
  - Disable legacy ffmpeg
  - Fix staging
  
  PR:		ports/177793
  Submitted by:	RyoTa SimaMoto <liangtai.s4 gmail.com> (maintainer)

Modified:
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp/distinfo
  head/multimedia/qmmp/pkg-plist

Modified: head/multimedia/qmmp/Makefile
==============================================================================
--- head/multimedia/qmmp/Makefile	Sun Oct 20 11:48:55 2013	(r331007)
+++ head/multimedia/qmmp/Makefile	Sun Oct 20 11:57:52 2013	(r331008)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	qmmp
-PORTVERSION=	0.7.2
+PORTVERSION=	0.7.3
 CATEGORIES=	multimedia
 MASTER_SITES=	http://qmmp.ylsoftware.com/files/ \
 		${MASTER_SITE_GOOGLE_CODE}
@@ -17,6 +17,7 @@ USE_QT4=	corelib gui network xml \
 		qmake_build rcc_build uic_build moc_build linguist_build
 USE_LDCONFIG=	yes
 
+OPTIONS_SINGLE=	MPLAYER
 OPTIONS_SINGLE_MPLAYER=	MPLAYER1 MPLAYER2
 OPTIONS_DEFINE=	ALSA ANALYZER APIDOC BS2B CDIO CONVERTER COPYPASTE \
 		COVER CROSSFADE CUE CURL DIR_ASSOC DOCS ENCA FAAD \
@@ -66,7 +67,6 @@ QMMP_DIALOG_DESC=	An original dialog
 MPLAYER1_DESC=	mplayer-1.1.x (multimedia/mplayer)
 MPLAYER2_DESC=	mplayer-2.0.x (multimedia/mplayer2)
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MAPIDOC}
@@ -153,6 +153,8 @@ PLIST_SUB+=	GME="@comment "
 PLUGIN_OPTIONS_CMAKE+=	-DUSE_GME:BOOL=FALSE
 .endif
 
+PLUGIN_OPTIONS_CMAKE+=	-DUSE_FFMPEG_LEGACY:BOOL=FALSE
+
 .if ${PORT_OPTIONS:MFFMPEG}
 LIB_DEPENDS+=	libavcodec.so:${PORTSDIR}/multimedia/ffmpeg
 PLIST_SUB+=	FFMPEG=""
@@ -541,20 +543,22 @@ post-build:
 .endif
 
 post-install:
-	@${MKDIR} ${STAGEDIR}/${DOCSDIR}
-	cd ${WRKSRC} && ${INSTALL_MAN} ${PORTDOCS} ${STAGEDIR}/${DOCSDIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}; \
+	cd ${WRKSRC} && ${INSTALL_MAN} ${PORTDOCS} ${STAGEDIR}${DOCSDIR}
+.endif
 .if ${PORT_OPTIONS:MAPIDOC}
-	@${MKDIR} ${STAGEDIR}/${DOCSDIR}/html/search ; \
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}/html/search ; \
 	cd ${WRKSRC}/doc/html && \
-		${INSTALL_MAN} *.html *.png *.css ${STAGEDIR}/${DOCSDIR}/html ; \
+		${INSTALL_MAN} *.html *.png *.css ${STAGEDIR}${DOCSDIR}/html ; \
 	cd ${WRKSRC}/doc/html/search && \
-		${INSTALL_MAN} *.html *.png *.css *.js ${STAGEDIR}/${DOCSDIR}/html/search ; \
+		${INSTALL_MAN} *.html *.png *.css *.js ${STAGEDIR}${DOCSDIR}/html/search ; \
 	${RM} -f ${WRKDIR}/PLIST.doc ; \
-	${FIND} ${STAGEDIR}/${DOCSDIR}/html -type f | \
-		${SED} 's|${STAGEDIR}/${PREFIX}/||' \
+	${FIND} ${STAGEDIR}${DOCSDIR}/html -type f | \
+		${SED} 's|${STAGEDIR}${PREFIX}/||' \
 		>> ${WRKDIR}/PLIST.doc ; \
-	${FIND} ${STAGEDIR}/${DOCSDIR}/html -type d | \
-		${SED} 's|${STAGEDIR}/${PREFIX}/|@dirrm |' \
+	${FIND} ${STAGEDIR}${DOCSDIR}/html -type d | \
+		${SED} 's|${STAGEDIR}${PREFIX}/|@dirrm |' \
 		| ${SORT} -r >> ${WRKDIR}/PLIST.doc ; \
 	cd ${WRKDIR} ; ${SED} -i -e '/PLIST.doc/ r PLIST.doc' ${TMPPLIST}
 .endif

Modified: head/multimedia/qmmp/distinfo
==============================================================================
--- head/multimedia/qmmp/distinfo	Sun Oct 20 11:48:55 2013	(r331007)
+++ head/multimedia/qmmp/distinfo	Sun Oct 20 11:57:52 2013	(r331008)
@@ -1,2 +1,2 @@
-SHA256 (qmmp-0.7.2.tar.bz2) = 8e6b50ced58e247972060bb5a5156ea2c74b03f33df92e87591d09f685b82081
-SIZE (qmmp-0.7.2.tar.bz2) = 847558
+SHA256 (qmmp-0.7.3.tar.bz2) = 57e4e1a00450a5a094b290df5410f8ab5a80da364ad3f1402835573cb0b75562
+SIZE (qmmp-0.7.3.tar.bz2) = 848638

Modified: head/multimedia/qmmp/pkg-plist
==============================================================================
--- head/multimedia/qmmp/pkg-plist	Sun Oct 20 11:48:55 2013	(r331007)
+++ head/multimedia/qmmp/pkg-plist	Sun Oct 20 11:57:52 2013	(r331008)
@@ -81,7 +81,6 @@ lib/qmmp/CommandLineOptions/libstatusopt
 %%CDIO%%lib/qmmp/Input/libcdaudio.so
 %%CUE%%lib/qmmp/Input/libcue.so
 %%FFMPEG%%lib/qmmp/Input/libffmpeg.so
-%%FFMPEG_LEGACY%%lib/qmmp/Input/libffmpeg_legacy.so
 %%FLAC%%lib/qmmp/Input/libflac.so
 %%MAD%%lib/qmmp/Input/libmad.so
 %%MODPLUG%%lib/qmmp/Input/libmodplug.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 12 William Grzybowski freebsd_committer 2013-10-20 12:59:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!